Subject: Re: [bug#72071] [PATCH 0/2] A clean series of patches
From: Ludovic Courtès <[email-masked]>
To: Luca Cirrottola <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 19 Aug 2024 12:37:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Luca,

Luca Cirrottola <[email-masked]> skribis:

> Hello Ludo', following your suggestion, I have implemented a simpler
> solution that just skips off the problematic test (without moving
> around files). I send a new patch series with the full modifications
> to be applied to the recipe, containing one commit for the package
> version update, and one commit for skipping the test.
>
> Let me know if it looks better (no pressure).
>
> Thanks,
> Luca
>
> Luca Cirrottola (2):
>   Solve issue https://issues.guix.gnu.org/68313 by updating HDF5 version
>     to 1.14.3 (containing the official fix
>     https://github.com/HDFGroup/hdf5/pull/3421).
>   Skip test_check_version since the patch-settings phase needs to modify
>     the test reference file.

I reorganized the changes a bit; in particular, since skipping the test
is necessary for 1.14.3 to build, I squashed the upgrade and the test
skip in the same commit.

Also, the test change would break [email-masked], so I moved that to [email-masked].

The result is:

  84c62cf166 * gnu: hdf5-parallel-openmpi: Update to 1.14.x.
  832f2bcb92 * gnu: [email-masked]: Update to 1.14.3.

Tested with:

  ./pre-inst-env guix build --no-grafts \
    [email-masked] [email-masked] hdf5-parallel-openmpi [email-masked]

Thanks!

Ludo’.